@echo off
if "%1"=="" goto noversion
goto dopack
:noversion
SET VERSION=305
:dopack

call SETPATH_MINGW540_X86.BAT
cd ..
call QTI.BAT < DOCS\ENTER.TXT
move build\MpxplayMMC-v%VERSION%-x86-installer.exe DOCS\
cd DOCS

call SETPATH_MINGW540_X64.BAT
cd ..
call QTI64.BAT < DOCS\ENTER.TXT
move build\MpxplayMMC-v%VERSION%-x64-installer.exe DOCS\
cd DOCS

call SETPATH_MINGW540_X86.BAT
cd ..
del build\*.a
del build\*.o
call QT.BAT < DOCS\ENTER.TXT
cd DOCS
call PACK_EXE_MMC_PORT.BAT %VERSION%_x86 mpxp_mmc.exe

call SETPATH_MINGW540_X64.BAT
cd ..
del build\*.a
del build\*.o
call QT64.BAT < DOCS\ENTER.TXT
cd DOCS
call PACK_EXE_MMC_PORT.BAT %VERSION%_x64 mpxp_mmc_x64.exe

echo -----------------------------------------------------------
echo -                Release has completed!                   -
echo -----------------------------------------------------------

pause
